## org.junit.runner.manipulation
Interface Orderable

All Superinterfaces:
  Sortable

All Known Implementing Classes:
  AllTests, BlockJUnit4ClassRunner, BlockJUnit4ClassRunnerWithParameters, Categories, Enclosed, org.junit.internal.runners.JUnit38ClassRunner, JUnit4, JUnit4TestAdapter, Parameterized, ParentRunner, Suite, org.junit.internal.runners.SuiteMethod, Theories

    public interface Orderable

extends Sortable

Interface for runners that allow ordering of tests.

Beware of using this interface to cope with order dependencies between tests. Tests that are isolated from each other are less expensive to maintain and can be run individually.

Since:
  4.13

Method Summary
`void` `order(Orderer orderer)` Orders the tests using `orderer`

Methods inherited from interface org.junit.runner.manipulation.Sortable
`sort`

Method Detail

### order

    void order(Orderer orderer)
               throws InvalidOrderingException

  Orders the tests using `orderer`

  Throws:
    `InvalidOrderingException` - if orderer does something invalid (like remove or add children)

Copyright © 2002–2020 JUnit. All rights reserved.